Loading...
Searching...
No Matches
field

plot a field

# Synopsis

    field [options] file[.field[.gz]]

# Description

Read and output a finite element field from file.

# Example

        field square.field
        field square.field -bw
        field box.field

# Input file specification

filename

> Specifies the name of the file containing the input field.

-

> Read field on standard input instead on a file.

-name

> When the field comes from standard input, the file base name is not known and is set to "output" by default. This option allows one to change this default. Useful when dealing with output formats (graphic, format conversion) that creates auxiliary files, based on this name.

-I dir
-I dir

> Add dir to the Rheolef file search path. This option is useful e.g. when the mesh .geo and the .field fikes are in different directories. This mechanism initializes a search path given by the environment variable RHEOPATH. If the environment variable RHEOPATH is not set, the default value is the current directory.

-mark string
-catch string
-catchmark string

> Jump across the file to the specified string . Label start at the beginning of a line, preceded by a # mark (see catchmark).

# Output file format options

-field -text

> Output field on standard output stream in Rheolef ascii (field or geo) text file format.

-gmsh

> Output field on standard output stream in .gmsh file format.

-gmsh-pos

> Output field on standard output stream in .gmsh-pos file format, suitable for mesh adaptation purpose.

-bamg-bb

> Output field on standard output stream in bamg-bb text file format, suitable for mesh adaptation purpose.

-image-format string

> For image or video capture. The supported argument are .jpg, .png, .tif and .bmp. This option should be combined with the paraview render. The output file is basename.png where basename is the name of the mesh, or can be set with the -name option.

-resolution int int

> For the resolution of an image or a video capture. The argument is a couple of sizes, separated by a white space. This option can be used together with the -image-format for any of the bitmap image formats. This option requires the paraview render.

# Getting information

-min
-max

> Print the min (resp. max) value of the scalar field and then exit.

-get-geo

> Print the name of the mesh associated to the field and exit.

# Render options

-gnuplot

> Use the gnuplot tool. This is the default in one dimension.

-paraview

> Use the paraview tool. This is the default for two- and tri-dimensional geometries.

# Rendering options

-color
-gray
-black-and-white
-bw

> Use (color/gray scale/black and white) rendering. Color rendering is the default. -[no]showlabel Show or hide title, color bar and various annotations. Default is to show labels. -label *string* Set the label to show for the represented value. This supersedes the default value. -[no]elevation For two dimensional field, represent values as elevation in the third dimension. The default is no elevation. -scale *float* Applies a multiplicative factor to the field. This is useful e.g. in conjunction with the elevation option. The default value is 1. -[no]stereo Rendering mode suitable for red-blue anaglyph 3D stereoscopic glasses. This option is only available with paraview. -[no]fill Isoline intervals are filled with color. This is the default. When -nofill, draw isolines by using lines. -[no]volume For 3D data, render values using a colored translucid volume. This option requires the paraview code. -[no]cut Cut by a specified plane. The cutting plane is specified by its origin point and normal vector. This option requires the paraview code. -origin *float* [*float* [*float*]] Set the origin of the cutting plane. Default is (0.5, 0.5, 0.5). -normal *float* [*float* [*float*]] Set the normal of the cutting plane. Default is (1, 0, 0). -isovalue [*float*] \n -iso [*float*] Draw 2d isoline or 3d isosurface. When the optional float is not provided, a median value is used. This option requires the paraview code. -noisovalue Do not draw isosurface. This is the default. -n-iso *int* For 2D visualizations, the isovalue table contains regularly spaced values from fmin to fmax, the bounds of the field. </blockquote>\ilinebr @addindex vorticity @addindex stream function -n-iso-negative *int* <blockquote>&zwj; The isovalue table is split into negatives and positives values. Assume there is n_iso=15 isolines: if 4 is requested by this option, then, there will be 4 negatives isolines, regularly spaced from fmin to 0 and 11=15-4 positive isolines, regularly spaced from 0 to fmax. This option is useful when plotting e.g. vorticity or stream functions, where the sign of the field is representative. </blockquote>\ilinebr @addindex projection @addindex approximation P1 -proj *approx* -proj <blockquote>&zwj; Convert all selected fields to approximation *approx* by using a L2 projection. When argument is omitted, P1 approximation is assumed. -lumped-proj Force P1 approximation for L2 projection and use a lumped mass matrix for it. -round [*float*] Round the input up to the specified precision. This option, combined with -field, leads to a round filter. Useful for non-regression test purpose, in order to compare numerical results between files with a limited precision, since the full double precision is machine-dependent. </blockquote>\ilinebr -subdivide *int* <blockquote>&zwj; When using a high order geometry, the number of points per edge used to draw a curved element. Default value is the mesh order. </blockquote>\ilinebr -deformation -velocity <blockquote>&zwj; Render vector-valued fields as deformed mesh using paraview or gnuplot. This is the default vector field representation. When velocity, render vector-valued fields as arrows using paraview` instead.

# Component extraction and domain reduction

-comp int
-comp string

> Extract the i-th component of a vector-valued field. For a tensor-valued field, indexing components as 00, 01, 11... is supported.

-domain name

> Reduce the visualization to the specified domain name.

# Others options

-[no]verbose

> Print messages related to graphic files created and command system calls (this is the default).

-[no]clean <blockquote>&zwj; Clear temporary graphic files (this is the default). </blockquote>\ilinebr -[no]execute <blockquote>&zwj; Execute graphic command (this is the default). The -noexecute variant is useful in conjunction with the -verbose and -noclean` options in order to modify some render options by hand.

# Field file format

It contains a header and a list values at degrees of freedom. The header contains the field keyword followed by a line containing a format version number (presently 1), the number of degrees of freedom (i.e. the number of values listed), the mesh file name without the .geo extension the approximation (e.g. P1, P2, etc), and finally the list of values:

A sample field file write

        field
        1 4
        square
        P1
        0.0
        1.0
        2.0
        3.0

See also geo for the .geo mesh file format.

# Examples

The following command send to vtk the cuted 2d plane of the 3d field:

        field cube.field -cut -normal 0 1 0 -origin 0.5 0.5 0.5 -vtk

Next, let us generate the cuted 2d field and its associated mesh:

        field cube.field -cut -normal 0 1 0 -origin 0.5 0.5 0.5 -text > cube-cut.field

For drawing the isosurface:

        field cube.field -isovalue 0.5

Finally, let us generate the isosurface as a 3d surface mesh in the .geo file format:

        field cube.field -isovalue 0.5 -text > isosurf.geo

This file is then suitable for others treatments.

# Implementation

This documentation has been generated from file main/bin/field.cc